#
# spec file for package infinipath-psm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define git_ver .26.604758e

Name:           infinipath-psm
Version:        3.3
Release:        lp151.4.38
Summary:        QLogic PSM Libraries
License:        BSD-2-Clause or GPL-2.0
Group:          Productivity/Networking/System
Url:            http://www.qlogic.com/
Source0:        %{name}-%{version}%{git_ver}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM infinipath-psm-cflags.patch pth@suse.de
Patch0:         infinipath-psm-cflags.patch
# PATCH-FIX-UPSTREAM infinipath-psm-no_werror.patch pth@suse.de
Patch1:         infinipath-psm-no_werror.patch
# PATCH-FIX-UPSTREAM infinipath-psm-executable_headers.patch pth@suse.de
Patch3:         infinipath-psm-executable_headers.patch
BuildRequires:  libuuid-devel
Conflicts:      infinipath-libs
ExclusiveArch:  %ix86 x86_64

%define so_major 4
%define psm_so_major 1
%define lname libinfinipath%{so_major}
%define lnamepsm libpsm_infinipath%{psm_so_major}

%description
The PSM Messaging API, or PSM API, is QLogic's low-level
user-level communications interface for the Truescale
family of products. PSM users are enabled with mechanisms
necessary to implement higher level communications
interfaces in parallel environments.

%package        devel
Summary:        Development files for QLogic PSM
Group:          Development/Libraries/C and C++
Requires:       %{lnamepsm} = %{version}
Requires:       %{lname} = %{version}
Requires:       libuuid-devel
Conflicts:      infinipath-devel

%description devel
Development files for the libpsm_infinipath library

%package     -n %{lnamepsm}
Summary:        Development files for QLogic PSM
Group:          System/Libraries
Obsoletes:      infinipath-psm < %{version}
Provides:       infinipath-psm = %{version}
Conflicts:      libpsm2-compat
# PSM1 library does not actually obsolete psm2-compat, BUT
# both RPM provide the same library leaving a choice for
# zypper/OBS. psm2-compat is to be used in extremely rare
# occasions by a knowing user wanting to try out their PSM1 application
# against PSM2 HW. Marking PSM1 as obsoleting psm2-compat
# fixes the issue and match RHEL behaviour. See bsc#1080773
Obsoletes:      libpsm2-compat

%description -n %{lnamepsm}
The PSM Messaging API, or PSM API, is QLogic's low-level
user-level communications interface for the Truescale
family of products. PSM users are enabled with mechanisms
necessary to implement higher level communications
interfaces in parallel environments.

%package     -n %{lname}
Summary:        Development files for QLogic PSM
Group:          System/Libraries

%description -n %{lname}
The PSM Messaging API, or PSM API, is QLogic's low-level
user-level communications interface for the Truescale
family of products. PSM users are enabled with mechanisms
necessary to implement higher level communications
interfaces in parallel environments.

%prep
%setup -q -n  %{name}-%{version}%{git_ver}
%patch0
%patch1
%patch3

%build
export RPM_OPT_FLAGS="%{optflags} -Wno-unused-but-set-variable"
make libdir=%{_libdir} %{?_smp_mflags} 

%install
make libdir=%{_libdir} DESTDIR=%{buildroot} install

%post -n %{lname} -p /sbin/ldconfig
%post -n %{lnamepsm} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig
%postun -n %{lnamepsm} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root,-)
%{_libdir}/libinfinipath.so.*

%files -n %{lnamepsm}
%defattr(-,root,root,-)
%{_libdir}/libpsm_infinipath.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libpsm_infinipath.so
%{_libdir}/libinfinipath.so
%{_includedir}/psm.h
%{_includedir}/psm_mq.h

%changelog
* Wed Feb 14 2018 nmoreychaisemartin@suse.com
- Mark libpsm_infinipath1 as obsoleting psm2-compat to make sure
  it is always picked by default but can be manually "downgraded"
  to psm2-compat knowing user (bsc#1080773).
* Tue Sep  5 2017 nmoreychaisemartin@suse.com
- Update _service to allow auto updates from github
* Fri Jun 30 2017 nmoreychaisemartin@suse.com
- Restore conflict with libpsm2-compat
* Tue May  9 2017 nmoreychaisemartin@suse.com
- Drop conflicts with libpsm2-compat
* Mon May  1 2017 nmoreychaisemartin@suse.com
- Update to v3.3-26-g604758. (bsc#1036485)
* Wed Apr 19 2017 nmoreychaisemartin@suse.com
- Update to latest version v3.3-25-g326b95a (bsc#1027068, fate#322648)
* Tue Apr 11 2017 pth@suse.de
- Update to latest version (fate#320170, bsc#943853).
* Fri Mar 31 2017 pth@suse.de
- Make package conflict with libpsm2 (fate#321230).
* Wed Nov 30 2016 pth@suse.de
- Add baselibs.conf as 32 bit libs are needed (bsc#1004947).
* Mon Apr 25 2016 p.drouand@gmail.com
- Update to version 3.3-19
  * No Changelog available
- Build against system libuuid
- Split libraries into two separate subpackages
- Remove infinipath-non_executable_stack.patch; fixed on upstream
  release
* Mon Aug 31 2015 pth@suse.de
- Fix source URI.
* Tue Aug 25 2015 pth@suse.de
- Set libdir when calling make for installing.
- Add infinipath-non_executable_stack.patch to mark the stack
  unexecutable (bsc#942689).
- Remove bogus line in spec file.
* Wed Jun 10 2015 pth@suse.de
- Fix name of libdir.
* Fri May 29 2015 pth@suse.de
- Adapt patches to changed sources.
* Fri Oct 31 2014 Led <ledest@gmail.com>
- fix %%%%if version condition in spec
* Wed Oct 29 2014 pth@suse.de
- Only use -Wno-unused-but-set-variable for SLE12 and up.
- Don't use a macro for installing.
* Fri Oct 17 2014 Led <ledest@gmail.com>
- replace ambiguous macro %%%%makeinstall with more common %%%%make_install
* Tue Jul  8 2014 pth@suse.de
- Add COPYING to documentation.
* Fri Jun  6 2014 pth@suse.de
- Document that the shared library package was renamed so the package
  needs obsoletes/provides.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Tue Mar 18 2014 pth@suse.de
- Fix ExclusiveArch.
* Wed Mar  5 2014 pth@suse.de
- Add an ExclusiveArch as the package is only supported on
  i686 and x86_64.
* Fri Jan 24 2014 pth@suse.de
- Fix Copyright in spec file.
* Fri Jan 17 2014 pth@suse.de
- Update to 3.2 from OFED 3.12
- Remove infinipath-psm-identical_field_names.patch which doesn't
  apply anymore.
- Remove infinipath-psm-add_symbol_to_ignore.patch as the fix is
  upstream.
* Fri Jul 12 2013 pth@suse.de
- Update to latest version 3.1.
- Adapt infinipath-psm-add_symbol_to_ignore.patch to new sources.
- Add source URL.
* Tue Jul  9 2013 pth@suse.de
- Fix spec by running service format_spec_file.
* Tue Jun 25 2013 pth@suse.de
- Fix makefile so that the presence of _edata does not lead to a
  failed build: infinipath-psm-add_symbol_to_ignore.patch
* Tue Oct  9 2012 pth@suse.de
- Fix paths to libraries in %%%%files section.
* Thu Sep 13 2012 pth@suse.de
- Update to latest version 3.0.1.
- Use RPM_OPT_FLAGS to define compiler options
  (infinipath-psm-cflags.patch).
- Don't use -Werror as newer gccs warn of possible ono-inlining.
  (infinipath-psm-no_werror.patch).
- Rename the member of a bitfield as newer gcc stops with error
  (infinipath-psm-identical_field_names.patch).
- Don't install headers with executable flag set
  (infinipath-psm-executable_headers.patch).
* Tue Sep 11 2012 pth@suse.de
- Initial package based on the version in OFED 1.5.4.1
- Implement shared library policy.
